// package main -- пускач длся сервера на файбере
//
//	Команда запуска обновлятора noip.com
//	noip-duc -g p78su.ddns.net,p78git.ddns.net --daemonize -u prospero78su -p Lera_07091978
package main

import (
	"log"
	"os"
	"wartank/server"
)

func main() {
	serv, err := server.NewServer()
	if err != nil {
		log.Printf("main(): in make IServer, err=\n\t%v\n", err)
		os.Exit(1)
	}
	if err := serv.Run(); err != nil {
		log.Printf("main(): in run server, err=\n\t%v\n", err)
		os.Exit(2)
	}
}
